Board index FlightGear Support Interfacing

fgpanel on raspberry pi?

Connecting two computers, using generic protocol, connecting with Matlab?

fgpanel on raspberry pi?

Postby andylee » Tue Mar 05, 2013 10:24 pm

Does raspberry Pi board is power enough for flightgear or fgpanel to run?
andylee
 
Posts: 45
Joined: Sun Apr 01, 2012 6:46 pm

Re: fgpanel on raspberry pi?

Postby Hooray » Tue Mar 05, 2013 10:31 pm

rasberry pi: http://en.wikipedia.org/wiki/Raspberry_Pi

700 mhz, 256 MB-512MB RAM and VideoCore GPU

So, no: You won't be able to run FG on it, but you MAY be able to run FGPanel, if you can find an OpenGL implementation that works on rasberry pi (i.e. software-based using Mesa): http://en.wikipedia.org/wiki/VideoCore

The rasberry pi supports OpenGL ES: http://elinux.org/RPi_VideoCore_APIs#OpenGL_ES
Please don't send support requests by PM, instead post your questions on the forum so that all users can contribute and benefit
Thanks & all the best,
Hooray
Help write next month's newsletter !
pui2canvas | MapStructure | Canvas Development | Programming resources
Hooray
 
Posts: 11340
Joined: Tue Mar 25, 2008 8:40 am

Re: fgpanel on raspberry pi?

Postby andylee » Tue Mar 05, 2013 11:00 pm

tks for the info
andylee
 
Posts: 45
Joined: Sun Apr 01, 2012 6:46 pm

Re: fgpanel on raspberry pi?

Postby andylee » Wed Mar 06, 2013 8:30 pm

It seem the fgpanel does not require fancy video card to run
I will test it on raspberry Pi and will post here the result
andylee
 
Posts: 45
Joined: Sun Apr 01, 2012 6:46 pm

Re: fgpanel on raspberry pi?

Postby Hooray » Thu Mar 07, 2013 1:16 am

no, fgpanel should "only" require OpenGL support - and it doesn't necessarily required hardware accelerated OpenGL.
Please don't send support requests by PM, instead post your questions on the forum so that all users can contribute and benefit
Thanks & all the best,
Hooray
Help write next month's newsletter !
pui2canvas | MapStructure | Canvas Development | Programming resources
Hooray
 
Posts: 11340
Joined: Tue Mar 25, 2008 8:40 am

Re: fgpanel on raspberry pi?

Postby pommesschranke » Tue Nov 26, 2013 9:28 pm

andylee wrote in Wed Mar 06, 2013 8:30 pm:It seem the fgpanel does not require fancy video card to run
I will test it on raspberry Pi and will post here the result


did you try it ?
I'm interested!
pommesschranke
 
Posts: 1104
Joined: Sat Apr 27, 2013 7:58 pm
Location: EDLM & LJCE
Callsign: d-laser
IRC name: laserman
Version: git
OS: Linux Lubuntu 18.04

Re: fgpanel on raspberry pi?

Postby Rene van Klaveren » Fri Jan 24, 2014 11:58 am

Any news on this post, would love to try it as I'm having multiple Rpi's.

Cheers Rene
User avatar
Rene van Klaveren
 
Posts: 22
Joined: Sun Jan 19, 2014 12:06 pm
Location: Netherlands
Callsign: Fiero
Version: 2.12.1
OS: Ubuntu 13.10

Re: fgpanel on raspberry pi?

Postby pommesschranke » Wed Dec 23, 2015 7:53 pm

pommesschranke
 
Posts: 1104
Joined: Sat Apr 27, 2013 7:58 pm
Location: EDLM & LJCE
Callsign: d-laser
IRC name: laserman
Version: git
OS: Linux Lubuntu 18.04

Re: fgpanel on raspberry pi?

Postby Puchacz » Tue Dec 13, 2016 1:51 pm

Hi,

I have uploaded a new version of FGPanel for the Raspberry Pi @ http://www.iskra.talktalk.net/fgpanel.tar.bz2.

I have merged the FGPanel for the Raspberry Pi with the current FGPanel. The new version of FGPanel doesn't use any more OpenGL 1.0 but uses only OpenGL 2.0 (OpenGL ES 2.0 in the case of the Raspberry Pi). This remove almost all specific code for the Raspberry Pi (OpenGL ES 2.0 is a subset of OpenGL 2.0). For this reason, almost all the code of FGPanel has been rewritten!

I have also to remove the dependency to PLib (because PLib uses OpenGL 1.0). This means that, at least for FGPanel, we don't need any more the PLib fonts (*.txf). The FGPanel uses now normal TTF fonts. This may require some updates of the FGPanel configuration files.

The code has been tested on Debian 8 and on the Raspberry Pi (Raspbian) with FlightGear 2016.3.1. I can't test on Windows or Mac because I don't have access to these OSes.

The new source code is available at: http://www.iskra.talktalk.net/fgpanel.tar.bz2

I'm waiting for the new FGPanel to be integrated in FlightGear.

Enjoy,
Puchacz
 
Posts: 1
Joined: Tue Dec 13, 2016 1:38 pm
OS: Linux Debian

Re: fgpanel on raspberry pi?

Postby Johan G » Thu Dec 15, 2016 7:56 pm

Nice to see that you also posted on the developer mailing list. That is usually the place to get developer attention when needed. :)

Seeing how often FGPanel have been mentioned on the forum I think your efforts will be appreciated.
Low-level flying — It's all fun and games till someone looses an engine. (Paraphrased from a YouTube video)
Improving the Dassault Mirage F1 (Wiki, Forum, GitLab. Work in slow progress)
Johan G
Moderator
 
Posts: 5527
Joined: Fri Aug 06, 2010 5:33 pm
Location: Sweden
Callsign: SE-JG
IRC name: Johan_G
Version: 3.0.0
OS: Windows 7, 32 bit

Re: fgpanel on raspberry pi?

Postby litzi » Sat Sep 02, 2017 8:00 pm

Hello

I am sure it's a great thing to have fgpanel running on a RPi! However, I am facing problems after having run fgpanel for over 2 years on a Linux PC without problems, when I switched from fg 2016.1 to 2017.2.1 (which, I suppose brought the change to fgpanel 2.0).

The panel appears "cluttered" with only a few elements of the panel being displayed and the error message on the console is:
Code: Select all
Could not open font : /usr/share/games/flightgear/Fonts/arial_black.ttf
Missing font : /usr/share/games/flightgear/Fonts/arial_black.ttf 17
Could not open font : /usr/share/games/flightgear/Fonts/arial_black.ttf
Missing font : /usr/share/games/flightgear/Fonts/arial_black.ttf 17
Could not open font : /usr/share/games/flightgear/Fonts/arial_black.ttf
Missing font : /usr/share/games/flightgear/Fonts/arial_black.ttf 18


The OS I am using is Ubuntu 14.04 LTS. fg is 2017.2.1 .

Image
Left: under fgpanel 1.0, Right: under fgpanel 2.0

"This means that, at least for FGPanel, we don't need any more the PLib fonts (*.txf). The FGPanel uses now normal TTF fonts. This may require some updates of the FGPanel configuration files."


My problem may be related to the "updates" mentioned in the above post. Can anyone give a hint what kind of updates are needed in my panel code to run under the new fgpanel version?

Many thanks in advance
Martin
litzi
 
Posts: 72
Joined: Sat May 03, 2014 8:59 pm
Location: AT
Version: 2018.3.1
OS: Ubuntu 14.04

Re: fgpanel on raspberry pi?

Postby Hooray » Sat Sep 02, 2017 8:03 pm

the error messages seem to suggest that the fonts are missing/could not be loaded - so if it's not a permissions problem, you could probably just get the corresponding files/fonts and put them in the proper place to see if the issue persists or not. It may also be possible to raise the log level or inspect some log file to see what else may be going on, but I am not really familiar with fgpanel, so you'd need to look elsewhere for advice regarding any logging options it may have or not.
Please don't send support requests by PM, instead post your questions on the forum so that all users can contribute and benefit
Thanks & all the best,
Hooray
Help write next month's newsletter !
pui2canvas | MapStructure | Canvas Development | Programming resources
Hooray
 
Posts: 11340
Joined: Tue Mar 25, 2008 8:40 am

Re: fgpanel on raspberry pi?

Postby litzi » Sun Sep 03, 2017 6:06 pm

Indeed the error messages disappear and the font on the panel is replaced by another font, when replacing the font name in the code by one of the TTF font-files available in flightgear/Fonts.

Sadly, absolutely no improvement in the general panel appearance (looks the same as the above shown screenshot)!

As a workaround for the moment, is there a reasonable way to step back to the older version of fgpanel while keeping the latest version of the main fg program files?

Martin
litzi
 
Posts: 72
Joined: Sat May 03, 2014 8:59 pm
Location: AT
Version: 2018.3.1
OS: Ubuntu 14.04

Re: fgpanel on raspberry pi?

Postby litzi » Mon Sep 04, 2017 7:49 pm

Ok, update : recompiled and built older version of simgear and flightgear 2016.1.2 (first time! steep learning curve :-) ) and extracted the so-generated fgpanel binary. Replaced the 2017.2.1 fgpanel binary with the old version and all my panels work again as usual.

If somebody struggles with the same issue I am happy to share the "old" fgpanel binary (compatible with Ubuntu and fg 2017.2)

Martin
litzi
 
Posts: 72
Joined: Sat May 03, 2014 8:59 pm
Location: AT
Version: 2018.3.1
OS: Ubuntu 14.04

Re: fgpanel on raspberry pi?

Postby ScottBouch » Sun Apr 28, 2019 6:58 pm

Hi all,

(Sorry for bringing an old post back to life).

I would really like to get FGPanel working on a Raspberry Pi. I have found that the link in Puchacz's comment (iskra.talktalk.net) is no longer live. I actually have ideas of using a couple of displays for different (EE Lightning) cockpit parts: flight / nav instruments, and a smaller display for a radar screen.

Does anyone have a copy of his work on this project (ie: where the link would have taken me had it not been removed)?
Or guidance on how to achieve FGPanel on a Raspberry Pi by other means? ("idiot's guide" level instruction needed)

Many thanks, Scott.
User avatar
ScottBouch
 
Posts: 73
Joined: Wed Jun 22, 2016 3:14 pm
Location: Midlands, UK
OS: Manjaro,Mint,Ubuntu.

Next

Return to Interfacing

Who is online

Users browsing this forum: No registered users and 2 guests